''' Dictionary of covalent radius '''

# Covalent radii from 
# B. Cordero et al. "Covalent radii revisited" Dalton Trans. 21, 2832--2838 (2008)
dict_R_cov = {"H":0.31,
              "He":0.28,
              "Li":1.28,
              "Be":0.96,
              "B":0.84,
              "C":0.76, #sp3
              "N":0.71,
              "O":0.66,
              "F":0.57,
              "Ne":0.58,
              "Na":1.66,
              "Mg":1.41,
              "Al":1.21,
              "Si":1.11,
              "P":1.07,
              "S":1.05,
              "Cl":1.02,
              "Ar":1.06,
              "K":2.03,
              "Ca":1.76,
              "Sc":1.70,
              "Ti":1.60,
              "V":1.53,
              "Cr":1.39,
              "Mn":1.61, # hs
              "Fe":1.52, # hs
              "Co":1.50, # hs
              "Ni":1.24,
              "Cu":1.32,
              "Zn":1.22,
              "Ga":1.22,
              "Ge":1.20,
              "As":1.19,
              "Se":1.20,
              "Br":1.20,
              "Kr":1.16,
              "Rb":2.20,
              "Sr":1.95,
              "Y":1.90,
              "Zr":1.75,
              "Nb":1.64,
              "Mo":1.54,
              "Ru":1.46,
              "Rh":1.42,
              "Pd":1.39,
              "Ag":1.45,
              "Cd":1.44,
              "In":1.42,
              "Sn":1.39,
              "Sb":1.39,
              "Te":1.38,
              "I":1.39,
              "Cs":2.44,
              "Ba":2.15,
              "La":2.07,
              "Hf":1.75,
              "Ta":1.70,
              "W":1.62,
              "Re":1.51,
              "Os":1.44,
              "Ir":1.41,
              "Pt":1.36,
              "Ar":1.36,
              "Hg":1.32,
              "Tl":1.45,
              "Pb":1.46,
              "Bi":1.48,
             }

dict_form_charge = {"H":1.0,
                    "Li":1.0,
                    "O":-2.0,
                    "F":-1.0,
                    "Na":1.0,
                    "Mg":2.0,
                    "Al":3.0,
                    "Si":4.0,
                    "P":5.0,
                    "S":6.0,
                    "Cl":-1.0,
                    "K":1.0,
                    "Ca":2.0,
                    "Sc":3.0,
                    "Ti":4.0,
                    "V":5.0,
                    "Cr":3.0,
                    "Mn":2.0,
                    "Fe":3.0,
                    "Co":2.0,
                    "Ni":2.0,
                    "Cu":1.0,
                    "Zn":2.0,
                    "Ga":3.0,
                    "Ge":4.0,
                    "As":5.0,
                    "Se":6.0,
                    "Br":-1.0,
                    "Rb":1.0,
                    "Sr":2.0,
                    "Y":3.0,
                    "Zr":4.0,
                    "Nb":5.0,
                    "Mo":6.0,
                    "Ru":4.0,
                    "Rh":1.42,
                    "Pd":2.0,
                    "Ag":1.0,
                    "Cd":2.0,
                    "In":3.0,
                    "Sn":4.0,
                    "Sb":3.0,
                    "Te":6.0,
                    "I":-1.0,
                    "Cs":1.0,
                    "Ba":2.0,
                    "La":3.0,
                    "Ir":4.0}
